
CREATE EXTENSION IF NOT EXISTS pgcrypto;
CREATE TABLE "public"."targets"("id" uuid NOT NULL DEFAULT gen_random_uuid(), "updated_at" timestamptz NOT NULL DEFAULT now(), "created_at" timestamptz NOT NULL DEFAULT now(), "label" text NOT NULL, "config" jsonb NOT NULL DEFAULT jsonb_build_object(), "start_date" date NOT NULL, "end_date" date, PRIMARY KEY ("id") );
CREATE OR REPLACE FUNCTION "public"."set_current_timestamp_updated_at"()
RETURNS TRIGGER AS $$
DECLARE
  _new record;
BEGIN
  _new := NEW;
  _new."updated_at" = NOW();
  RETURN _new;
END;
$$ LANGUAGE plpgsql;
CREATE TRIGGER "set_public_targets_updated_at"
BEFORE UPDATE ON "public"."targets"
FOR EACH ROW
EXECUTE PROCEDURE "public"."set_current_timestamp_updated_at"();
COMMENT ON TRIGGER "set_public_targets_updated_at" ON "public"."targets" 
IS 'trigger to set value of column "updated_at" to current timestamp on row update';